python2.7中使用pip安装mysql-python失败?

yzhengwei
  • 170

以前一直用的是python3 + flask,最近看了个Django的项目视频,在win10上python2.7用django的时候配置环境各种问题啊,用pip安装mysql-python还有ansible等包都有问题,各种报错啊,我能说我在win10上用python3的同样安装ansible一点问题没有嘛.下面是报错,完全不知道问题原因是什么啊?

clipboard.png

clipboard.png

回复
阅读 3.6k
2 个回答

请确认你的pip是不是python2.7的,因为python2.7是内置ConfigParser这个模块的,而python3改成了configparser

直接用Pip install ansible装最新版不成功,但是装上ansble 2.2.3版本就OK了,奇怪啊

clipboard.png

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏